POST Agents/Project/UpdateProjectMembers
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Project/UpdateProjectMembers
Update existing project members.
Not creating new (only projectmember_id > 0 accepted) NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Project/UpdateProjectMembers?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ProjectId, ProjectMembers
| Property Name | Type | Description |
|---|---|---|
| ProjectId | Integer | |
| ProjectMembers | Array |
Response:
No Content
| Response | Description |
|---|---|
| 204 | No Content |
Response body: TimeZoneData
Sample request
POST /api/v1/Agents/Project/UpdateProjectMembers
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"ProjectId": 11,
"ProjectMembers": [
{
"ProjectmemberId": 479,
"ContactId": 928,
"ProjectId": 157,
"ContactName": "Hintz, Hegmann and Daugherty",
"ContactDepartment": "",
"ProjectName": "Powlowski Group",
"EmailId": 515,
"EmailAddress": "tamara@wehner.co.uk",
"CountryId": 93,
"Firstname": "Doris",
"MiddleName": "Gaylord, Kerluke and Shanahan",
"Lastname": "Walker",
"PersonId": 977,
"Mrmrs": "illum",
"ProjectMemberTypeName": "Wiegand, Doyle and Schmidt",
"Phone": "(332)593-4019 x041",
"PhoneId": 737,
"ProjectMemberTypeId": 746,
"EmailAddressName": "willow@nicolas.com",
"Comment": "possimus",
"FullName": "Prof. Alisa Bergstrom"
}
]
}
Sample response
HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8
null